function getcolumns(setdrawer) {
  return {
    columns: [
      {
        dataIndex: 'equipmentNo',
        valueType: 'input',
        title: '设备编号',
        key: 'equipmentNo',
        hideInForm: true,
      },
      {
        dataIndex: 'equipmentName',
        valueType: 'input',
        title: '设备名称',
        key: 'equipmentName',
        hideInForm: true,
      },
      {
        dataIndex: 'installPosition',
        valueType: 'input',
        title: '安装部位',
        key: 'installPosition',
        hideInForm: true,
      },
      {
        dataIndex: 'sparePartNo',
        valueType: 'input',
        title: '备件料号',
        key: 'sparePartNo',
        hideInForm: true,
      },
      {
        dataIndex: 'sparePartName',
        valueType: 'input',
        title: '备件名称',
        key: 'sparePartName',
        hideInForm: true,
      },
      {
        dataIndex: 'supplierNo',
        valueType: 'input',
        title: '供应商编号',
        key: 'supplierNo',
        hideInForm: true,
      },
      {
        dataIndex: 'supplierName',
        valueType: 'input',
        title: '供应商名称',
        key: 'supplierName',
        hideInForm: true,
      },
      {
        dataIndex: 'equipmentId',
        valueType: 'select',
        title: '选择设备',
        key: 'equipmentId',
        hideInDescriptions: true,
        hideInSearch: true,
        hideInTable: true,
        mode: 'radio',
        options: {
          path: '/asset/equipment/selection/user/shop',
          params: {},
        },
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
      },
      {
        dataIndex: 'lifePieceStandardId',
        valueType: 'select',
        title: '选择部位-寿命件',
        key: 'lifePieceStandardId',
        hideInDescriptions: true,
        hideInSearch: true,
        hideInTable: true,
        mode: 'radio',
        options: {
          path: '/sparepart/lifePieceStandard/querySelectByEquipmentId',
          linkParams: {},
        },
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
      },
      {
        dataIndex: 'supplierId',
        valueType: 'select',
        title: '选择供应商',
        key: 'supplierId',
        hideInDescriptions: true,
        hideInSearch: true,
        hideInTable: true,
        mode: 'radio',
        options: {
          path: '/sparepart/sparePartSupplier/queryOnSelect',
          params: {},
        },
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
      },
      {
        dataIndex: 'installNum',
        valueType: 'digit',
        title: '安装数量',
        key: 'installNum',
        hideInSearch: true,
        hideInTable: false,
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
      },
      {
        dataIndex: 'nextReplaceDate',
        valueType: 'date',
        title: '下次更换日期',
        searchValueType: 'dateRange',
        key: 'nextReplaceDateList',
        hideInSearch: false,
        hideInTable: false,
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
      },
    ],
    pathconfig: {
      enableadd: false,
      enableedit: true,
      enabledelete: false,
      enabledetail: false,
      add: '',
      edit: '',
      list: '/sparepart/lifePieceAccount/queryWarning',
      delete: '',
      detail: '',
    },
  };
}
export default getcolumns;
